Bug 7976 - ошибка при обновлении до сизифа
: ошибка при обновлении до сизифа
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gtk-engines-hc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-16 09:46 by
Modified: 2005-10-13 14:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-16 09:46:23
Fetched 10.5MB in 1s (6572kB/s)
Committing changes...
Preparing...                 ########################################### [100%]
package gtk-engines-hc-2.6.3-alt1 is already installed
package gtk-engines-crux-2.6.3-alt1 is already installed
package gtk-engines-mist-2.6.3-alt1 is already installed
package gtk-engines-lighthouseblue-2.6.3-alt1 is already installed
package gtk-engines-thinice-2.6.3-alt1 is already installed
E: Error while running transaction
------- Comment #1 From 2005-09-16 09:47:02 -------
ловил несколько раз, при обновлении мастера до сизифа
------- Comment #2 From 2005-09-16 17:34:20 -------
Результате rpm -q на упомянутые пакеты можно?
------- Comment #3 From 2005-09-19 11:54:57 -------
то что было (пакеты из M2.4):
http://ftp.altlinux.ru/pub/distributions/ALTLinux/Master/2.4/ALTLinux/RPMS/

то что стало после обновления (те же версии пакетов):

$ rpm -qa | egrep  'gtk-engines-(hc|crux|mist|lighthouseblue|hinice)'
gtk-engines-lighthouseblue-2.6.3-alt1
gtk-engines-hc-2.6.3-alt1
gtk-engines-mist-2.6.3-alt1
gtk-engines-crux-2.6.3-alt1
------- Comment #4 From 2005-09-19 12:13:12 -------
Я бы не сказал, что это относится к gtk-engines-*, скорее к apt. Насколько я
понимаю, произошло следующее: есть два пакета с одним именем и версией,
собранные под разные репозитории. По какой-то причине apt попытался обновить
пакет с тем же именем и версией до того, что лежит в Сизифе. А rpm его,
естественно, обломал. Требуется комментарий специалистов, пишу письмо в
рассылку.
------- Comment #5 From 2005-09-19 14:50:48 -------
Надо фиксить пакеты.
------- Comment #6 From 2005-09-19 14:58:35 -------
Дмитрий, правильно ли я понимаю, что версии в разных репозиториях должны
отличаться?
------- Comment #7 From 2005-09-26 02:14:09 -------
Да, если пакеты не совпадают, то из NEVR (name-epoch-version-release) должны
отличаться.
------- Comment #8 From 2005-09-26 02:19:12 -------
В любом случае на данный момент в Сизифе лежат gtk-engines-*-2.6.5, так что
проблема, скорее всего, больше не актуальна. FIXED?
------- Comment #9 From 2005-10-04 09:46:45 -------
Молчание - знак согласия.